<refreshable-panel [dataProvider]="this">
    <refreshable-panel-header [title]="'Students'"></refreshable-panel-header>
    <refreshable-panel-content>
        <div class="row panel hidden-xs hidden-sm">
            <div class="col-md-4">
                {{ "StudentName" | localize }}
            </div>
            <div class="col-md-4">
                {{ "StudentEnrolledDate" | localize }}
            </div>
            <div class="col-md-4">
                {{ "Actions" | localize }}
            </div>
        </div>
        <div class="row panel" *ngFor="let student of students">
            <div class="col-md-4">
                <span class="hidden-md hidden-lg"> {{"StudentName" | localize}} </span>
                <div class="well well-sm">
                    {{ student.firstName + " " + student.lastName }} </div>
            </div>
            <div class="col-md-4">
                <span class="hidden-md hidden-lg"> {{"StudentEnrolledDate" | localize}}
                </span>
                <div class="well well-sm"> {{ student.enrollmentDate | date : 'mediumDate' }}
                </div>
            </div>
            <div class="col-md-4">
                <span class="hidden-md hidden-lg"> {{"Actions" | localize}}
                </span>
                <div>
                    <button matButton (click)="openPointsDialog(student.id)" class="btn btn-default"
                        style="margin-top: 5px"> {{ "AddPoints" | localize }} </button>
                </div>
            </div>
            <div class="col-12" *ngIf="student.points.length != 0"
                style="padding-left: 15px; padding-right: 15px; padding-top: 50px;">
                <h4> {{ "Points" | localize }} </h4>
                <ul class="list-group">
                    <li class="list-group-item clearfix" *ngFor="let point of student.points"
                        style="vertical-align: middle">
                        <strong> {{ "CourseTitle" | localize }}: </strong> {{ point.course.title }}
                        | <strong> {{ "PointCount" | localize }}: </strong> {{ point.pointCount }}
                        | <strong> {{ "DateGraded" | localize }}: </strong>
                        {{ point.dateGraded | date : 'mediumDate' }}
                        <button matButton class="pull-right btn btn-danger" (click)="deletePoints(point.id)">
                            {{ "Delete" | localize }}
                        </button>
                        <button matButton class="pull-right btn btn-default" (click)="openUpdatePointsDialog(point)">
                            {{ "Change" | localize }}
                        </button>
                    </li>
                </ul>
            </div>
        </div>
    </refreshable-panel-content>
</refreshable-panel>
